## Stats Types

```@docs
Krylov.KrylovStats
Krylov.SimpleStats
Krylov.LanczosStats
Krylov.LanczosShiftStats
Krylov.SymmlqStats
Krylov.AdjointStats
Krylov.LNLQStats
Krylov.LSLQStats
Krylov.LsmrStats
```

## Workspace of Krylov methods

```@docs
KrylovSolver
MinresSolver
MinaresSolver
CgSolver
CrSolver
CarSolver
SymmlqSolver
CgLanczosSolver
CgLanczosShiftSolver
MinresQlpSolver
DiomSolver
FomSolver
DqgmresSolver
GmresSolver
UsymlqSolver
UsymqrSolver
TricgSolver
TrimrSolver
TrilqrSolver
CgsSolver
BicgstabSolver
BilqSolver
QmrSolver
BilqrSolver
CglsSolver
CglsLanczosShiftSolver
CrlsSolver
CgneSolver
CrmrSolver
LslqSolver
LsqrSolver
LsmrSolver
LnlqSolver
CraigSolver
CraigmrSolver
GpmrSolver
FgmresSolver
```

## Workspace of block-Krylov methods

```@docs
BlockKrylovSolver
BlockMinresSolver
BlockGmresSolver
```

## Utilities

```@docs
Krylov.roots_quadratic
Krylov.sym_givens
Krylov.to_boundary
Krylov.vec2str
Krylov.ktypeof
Krylov.kzeros
Krylov.kones
Krylov.vector_to_matrix
Krylov.matrix_to_vector
```
